
QGIS Application - Bug report #7560

import of shapefile into spatialite through db manager fails if there is a DATE column

2013-04-09 09:09 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16501

Description

This regressed in the last week or so.

Step to reproduce:

1. Create a spatialite file

2. Open DB Manager and enter into your newly createwd spatialite file

3. Click on the import toolbar button and select the shapefile attached to this issue (MODIS FIRMS fire detection data)

5. When clicking on ok to import, you'll get an 'ERROR 4: acq_date type not supported'.

Opening the .dbf, the acq_date column is defined as a date field. I imported FIRMS shapefiles less than 2 weeks ago and I was not seeing

this issue.

Associated revisions

Revision 3a7a8972 - 2013-04-13 03:02 PM - Jürgen Fischer

fix #7560

History

#1 - 2013-04-13 04:04 AM - Jürgen Fischer

- Priority changed from Normal to Severe/Regression

#2 - 2013-04-13 06:02 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"3a7a8972e851deb1752d107bb48b7d495beee767".

#3 - 2013-04-13 06:05 AM - Mathieu Pellerin - nIRV

That was fast. Kudos Jef.

Files

modis_firms_20130509.zip 195 KB 2013-04-09 Mathieu Pellerin - nIRV
